Eclipse Platform Release 3.7

## org.eclipse.swt.custom
Class LineBackgroundEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.swt.internal.SWTEventObject
              org.eclipse.swt.events.TypedEvent
                  org.eclipse.swt.custom.LineBackgroundEvent

All Implemented Interfaces:
  Serializable

    public class LineBackgroundEvent

extends TypedEvent

This event is sent when a line is about to be drawn.

See Also:
  Sample code and further information, Serialized Form

Field Summary
`Color` `lineBackground` line background color
`int` `lineOffset` line start offset
`String` `lineText` line text

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, time, widget`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`LineBackgroundEvent(org.eclipse.swt.custom.StyledTextEvent e)` Constructs a new instance of this class based on the information in the given event.

Method Summary

Methods inherited from class org.eclipse.swt.events.TypedEvent
`toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### lineOffset

    public int lineOffset

  line start offset

### lineText

    public String lineText

  line text

### lineBackground

    public Color lineBackground

  line background color

Constructor Detail

### LineBackgroundEvent

    public LineBackgroundEvent(org.eclipse.swt.custom.StyledTextEvent e)

  Constructs a new instance of this class based on the information in the given event.

  Parameters:
    `e` - the event containing the information

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.